> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vogent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Job

> Get metadata for a batch dial job.



## OpenAPI

````yaml get /batch_dial_jobs/{id}
openapi: 3.0.3
info:
  title: Vogent - OpenAPI 3.0
  description: Test Description
  version: 1.0.11
servers:
  - url: https://api.vogent.ai/api
security:
  - bearerAuth: []
paths:
  /batch_dial_jobs/{id}:
    get:
      summary: Get Batch Job
      description: Get metadata for a batch dial job.
      operationId: getBatchDialJob
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
          description: ID of the batch dial job.
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchDialJob'
        '400':
          description: Invalid input
        '422':
          description: Validation exception
components:
  schemas:
    BatchDialJob:
      type: object
      properties:
        id:
          type: string
        maxConcurrentDials:
          type: integer
        name:
          type: string
        status:
          $ref: '#/components/schemas/BatchDialJobStatus'
        fromPhoneNumberIds:
          type: array
          items:
            type: string
          x-go-type-skip-optional-pointer: true
        schedule:
          $ref: '#/components/schemas/WeeklySchedule'
          nullable: true
        callAgentId:
          type: string
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - maxConcurrentDials
        - name
        - status
        - callAgentId
        - createdAt
    BatchDialJobStatus:
      type: string
      enum:
        - INIT
        - ACTIVE
        - PAUSED
        - COMPLETE
        - CANCELLED
    WeeklySchedule:
      type: object
      properties:
        days:
          type: array
          items:
            $ref: '#/components/schemas/DaySchedule'
          x-go-type-skip-optional-pointer: true
        timezone:
          type: string
      required:
        - days
        - timezone
    DaySchedule:
      type: object
      properties:
        dayOfWeek:
          type: integer
        timeSlots:
          type: array
          items:
            $ref: '#/components/schemas/ScheduleTimeSlot'
      required:
        - dayOfWeek
        - timeSlots
    ScheduleTimeSlot:
      type: object
      properties:
        startTime:
          type: string
        endTime:
          type: string
      required:
        - startTime
        - endTime
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        In the form `Bearer <api_key_here>`. You can find your api key in your
        dashboard.

````